<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14) on Fri May 29 23:30:56 CEST 2020 -->
<title>UltraLady</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-29">
<meta name="description" content="declaration: package: Heroes.Tile.Towers, class: UltraLady">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/UltraLady.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">Heroes.Tile.Towers</a></div>
<h1 title="Class UltraLady" class="title">Class UltraLady</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">javafx.scene.Node
<div class="inheritance">javafx.scene.image.ImageView
<div class="inheritance"><a href="../Tile.html" title="class in Heroes.Tile">Heroes.Tile.Tile</a>
<div class="inheritance"><a href="../Constructible.html" title="class in Heroes.Tile">Heroes.Tile.Constructible</a>
<div class="inheritance"><a href="Tower.html" title="class in Heroes.Tile.Towers">Heroes.Tile.Towers.Tower</a>
<div class="inheritance">Heroes.Tile.Towers.UltraLady</div>
</div>
</div>
</div>
</div>
</div>
</div>
<section class="description">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>javafx.css.Styleable</code>, <code>javafx.event.EventTarget</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">UltraLady</span>
extends <a href="Tower.html" title="class in Heroes.Tile.Towers">Tower</a></pre>
<div class="block">The type Ultra lady (extends Tower)</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jordan Rey-Jouanchicot</dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- =========== PROPERTY SUMMARY =========== -->
<li class="blockList">
<section class="propertySummary"><a id="property.summary">
<!--   -->
</a>
<h2>Property Summary</h2>
<div class="inheritedList">
<h3>Properties inherited from class&nbsp;javafx.scene.image.ImageView</h3>
<a id="properties.inherited.from.class.javafx.scene.image.ImageView">
<!--   -->
</a><code>fitHeight, fitWidth, image, preserveRatio, smooth, viewport, x, y</code></div>
<div class="inheritedList">
<h3>Properties inherited from class&nbsp;javafx.scene.Node</h3>
<a id="properties.inherited.from.class.javafx.scene.Node">
<!--   -->
</a><code>accessibleHelp, accessibleRoleDescription, accessibleRole, accessibleText, blendMode, boundsInLocal, boundsInParent, cacheHint, cache, clip, cursor, depthTest, disabled, disable, effectiveNodeOrientation, effect, eventDispatcher, focused, focusTraversable, hover, id, inputMethodRequests, layoutBounds, layoutX, layoutY, localToParentTransform, localToSceneTransform, managed, mouseTransparent, nodeOrientation, onContextMenuRequested, onDragDetected, onDragDone, onDragDropped, onDragEntered, onDragExited, onDragOver, onInputMethodTextChanged, onKeyPressed, onKeyReleased, onKeyTyped, onMouseClicked, onMouseDragEntered, onMouseDragExited, onMouseDragged, onMouseDragOver, onMouseDragReleased, onMouseEntered, onMouseExited, onMouseMoved, onMousePressed, onMouseReleased, onRotate, onRotationFinished, onRotationStarted, onScrollFinished, onScroll, onScrollStarted, onSwipeDown, onSwipeLeft, onSwipeRight, onSwipeUp, onTouchMoved, onTouchPressed, onTouchReleased, onTouchStationary, onZoomFinished, onZoom, onZoomStarted, opacity, parent, pickOnBounds, pressed, rotate, rotationAxis, scaleX, scaleY, scaleZ, scene, style, translateX, translateY, translateZ, viewOrder, visible</code></div>
</section>
</li>
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;javafx.scene.image.ImageView</h3>
<a id="fields.inherited.from.class.javafx.scene.image.ImageView">
<!--   -->
</a><code>SMOOTH_DEFAULT</code></div>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;javafx.scene.Node</h3>
<a id="fields.inherited.from.class.javafx.scene.Node">
<!--   -->
</a><code>BASELINE_OFFSET_SAME_AS_HEIGHT</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int)">UltraLady</a></span>&#8203;(int&nbsp;key)</code></th>
<td class="colLast">
<div class="block">Instantiates a new Ultra lady.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#attack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">attack</a></span>&#8203;(<a href="../../Monster/Monster.html" title="class in Heroes.Monster">Monster</a>&nbsp;monster,
javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Attack of a tower</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code><a href="Tower.html" title="class in Heroes.Tile.Towers">Tower</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#incLevel(javafx.scene.layout.Pane)">incLevel</a></span>&#8203;(javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Increase level of tower.</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#render(javafx.scene.layout.Pane)">render</a></span>&#8203;(javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Render not constructible and constructibles tiles
 Doesn't render path</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#specialAttack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">specialAttack</a></span>&#8203;(<a href="../../Monster/Monster.html" title="class in Heroes.Monster">Monster</a>&nbsp;monster,
javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Special attack.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;Heroes.Tile.Towers.<a href="Tower.html" title="class in Heroes.Tile.Towers">Tower</a></h3>
<a id="methods.inherited.from.class.Heroes.Tile.Towers.Tower">
<!--   -->
</a><code><a href="Tower.html#getAttackSpeed()">getAttackSpeed</a>, <a href="Tower.html#getAttackTower()">getAttackTower</a>, <a href="Tower.html#getBuyPrice()">getBuyPrice</a>, <a href="Tower.html#getDamage()">getDamage</a>, <a href="Tower.html#getKey()">getKey</a>, <a href="Tower.html#getName()">getName</a>, <a href="Tower.html#getPosX()">getPosX</a>, <a href="Tower.html#getPosY()">getPosY</a>, <a href="Tower.html#getRange()">getRange</a>, <a href="Tower.html#getSellPrice()">getSellPrice</a>, <a href="Tower.html#isAttacking()">isAttacking</a>, <a href="Tower.html#isSpecialAttacking()">isSpecialAttacking</a>, <a href="Tower.html#setAttacking(boolean)">setAttacking</a>, <a href="Tower.html#setAttackTower(Heroes.Tile.Towers.Attacks.Attack)">setAttackTower</a>, <a href="Tower.html#setKey(int)">setKey</a>, <a href="Tower.html#setpos(int)">setpos</a>, <a href="Tower.html#setSellPrice(int)">setSellPrice</a>, <a href="Tower.html#setSpecialAttacking(boolean)">setSpecialAttacking</a></code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;Heroes.Tile.<a href="../Constructible.html" title="class in Heroes.Tile">Constructible</a></h3>
<a id="methods.inherited.from.class.Heroes.Tile.Constructible">
<!--   -->
</a><code><a href="../Constructible.html#getAttack()">getAttack</a>, <a href="../Constructible.html#getAttackRange()">getAttackRange</a>, <a href="../Constructible.html#getAttackRate()">getAttackRate</a>, <a href="../Constructible.html#getState()">getState</a>, <a href="../Constructible.html#setAttack(int)">setAttack</a>, <a href="../Constructible.html#setAttackRange(int)">setAttackRange</a>, <a href="../Constructible.html#setAttackRate(int)">setAttackRate</a>, <a href="../Constructible.html#setState(Heroes.Tile.TowerStates)">setState</a></code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;Heroes.Tile.<a href="../Tile.html" title="class in Heroes.Tile">Tile</a></h3>
<a id="methods.inherited.from.class.Heroes.Tile.Tile">
<!--   -->
</a><code><a href="../Tile.html#getRan()">getRan</a>, <a href="../Tile.html#getTileKind()">getTileKind</a>, <a href="../Tile.html#getTileOriginalSize()">getTileOriginalSize</a>, <a href="../Tile.html#getTileSize()">getTileSize</a>, <a href="../Tile.html#render(javafx.scene.layout.Pane,java.lang.String)">render</a>, <a href="../Tile.html#setTileKind(Heroes.Tile.TileKinds)">setTileKind</a>, <a href="../Tile.html#setTileSize(int)">setTileSize</a>, <a href="../Tile.html#unrender(javafx.scene.layout.Pane)">unrender</a></code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;javafx.scene.image.ImageView</h3>
<a id="methods.inherited.from.class.javafx.scene.image.ImageView">
<!--   -->
</a><code>fitHeightProperty, fitWidthProperty, getClassCssMetaData, getCssMetaData, getFitHeight, getFitWidth, getImage, getViewport, getX, getY, imageProperty, isPreserveRatio, isSmooth, preserveRatioProperty, setFitHeight, setFitWidth, setImage, setPreserveRatio, setSmooth, setViewport, setX, setY, smoothProperty, viewportProperty, xProperty, yProperty</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;javafx.scene.Node</h3>
<a id="methods.inherited.from.class.javafx.scene.Node">
<!--   -->
</a><code>accessibleHelpProperty, accessibleRoleDescriptionProperty, accessibleRoleProperty, accessibleTextProperty, addEventFilter, addEventHandler, applyCss, autosize, blendModeProperty, boundsInLocalProperty, boundsInParentProperty, buildEventDispatchChain, cacheHintProperty, cacheProperty, clipProperty, computeAreaInScreen, contains, contains, cursorProperty, depthTestProperty, disabledProperty, disableProperty, effectiveNodeOrientationProperty, effectProperty, eventDispatcherProperty, executeAccessibleAction, fireEvent, focusedProperty, focusTraversableProperty, getAccessibleHelp, getAccessibleRole, getAccessibleRoleDescription, getAccessibleText, getBaselineOffset, getBlendMode, getBoundsInLocal, getBoundsInParent, getCacheHint, getClip, getContentBias, getCursor, getDepthTest, getEffect, getEffectiveNodeOrientation, getEventDispatcher, getId, getInitialCursor, getInitialFocusTraversable, getInputMethodRequests, getLayoutBounds, getLayoutX, getLayoutY, getLocalToParentTransform, getLocalToSceneTransform, getNodeOrientation, getOnContextMenuRequested, getOnDragDetected, getOnDragDone, getOnDragDropped, getOnDragEntered, getOnDragExited, getOnDragOver, getOnInputMethodTextChanged, getOnKeyPressed, getOnKeyReleased, getOnKeyTyped, getOnMouseClicked, getOnMouseDragEntered, getOnMouseDragExited, getOnMouseDragged, getOnMouseDragOver, getOnMouseDragReleased, getOnMouseEntered, getOnMouseExited, getOnMouseMoved, getOnMousePressed, getOnMouseReleased, getOnRotate, getOnRotationFinished, getOnRotationStarted, getOnScroll, getOnScrollFinished, getOnScrollStarted, getOnSwipeDown, getOnSwipeLeft, getOnSwipeRight, getOnSwipeUp, getOnTouchMoved, getOnTouchPressed, getOnTouchReleased, getOnTouchStationary, getOnZoom, getOnZoomFinished, getOnZoomStarted, getOpacity, getParent, getProperties, getPseudoClassStates, getRotate, getRotationAxis, getScaleX, getScaleY, getScaleZ, getScene, getStyle, getStyleableParent, getStyleClass, getTransforms, getTranslateX, getTranslateY, getTranslateZ, getTypeSelector, getUserData, getViewOrder, hasProperties, hoverProperty, idProperty, inputMethodRequestsProperty, intersects, intersects, isCache, isDisable, isDisabled, isFocused, isFocusTraversable, isHover, isManaged, isMouseTransparent, isPickOnBounds, isPressed, isResizable, isVisible, layoutBoundsProperty, layoutXProperty, layoutYProperty, localToParent, localToParent, localToParent, localToParent, localToParent, localToParentTransformProperty, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToSceneTransformProperty, localToScreen, localToScreen, localToScreen, localToScreen, localToScreen, lookup, lookupAll, managedProperty, maxHeight, maxWidth, minHeight, minWidth, mouseTransparentProperty, nodeOrientationProperty, notifyAccessibleAttributeChanged, onContextMenuRequestedProperty, onDragDetectedProperty, onDragDoneProperty, onDragDroppedProperty, onDragEnteredProperty, onDragExitedProperty, onDragOverProperty, onInputMethodTextChangedProperty, onKeyPressedProperty, onKeyReleasedProperty, onKeyTypedProperty, onMouseClickedProperty, onMouseDragEnteredProperty, onMouseDragExitedProperty, onMouseDraggedProperty, onMouseDragOverProperty, onMouseDragReleasedProperty, onMouseEnteredProperty, onMouseExitedProperty, onMouseMovedProperty, onMousePressedProperty, onMouseReleasedProperty, onRotateProperty, onRotationFinishedProperty, onRotationStartedProperty, onScrollFinishedProperty, onScrollProperty, onScrollStartedProperty, onSwipeDownProperty, onSwipeLeftProperty, onSwipeRightProperty, onSwipeUpProperty, onTouchMovedProperty, onTouchPressedProperty, onTouchReleasedProperty, onTouchStationaryProperty, onZoomFinishedProperty, onZoomProperty, onZoomStartedProperty, opacityProperty, parentProperty, parentToLocal, parentToLocal, parentToLocal, parentToLocal, parentToLocal, pickOnBoundsProperty, prefHeight, prefWidth, pressedProperty, pseudoClassStateChanged, queryAccessibleAttribute, relocate, removeEventFilter, removeEventHandler, requestFocus, resize, resizeRelocate, rotateProperty, rotationAxisProperty, scaleXProperty, scaleYProperty, scaleZProperty, sceneProperty, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, screenToLocal, screenToLocal, screenToLocal, setAccessibleHelp, setAccessibleRole, setAccessibleRoleDescription, setAccessibleText, setBlendMode, setCache, setCacheHint, setClip, setCursor, setDepthTest, setDisable, setDisabled, setEffect, setEventDispatcher, setEventHandler, setFocused, setFocusTraversable, setHover, setId, setInputMethodRequests, setLayoutX, setLayoutY, setManaged, setMouseTransparent, setNodeOrientation, setOnContextMenuRequested, setOnDragDetected, setOnDragDone, setOnDragDropped, setOnDragEntered, setOnDragExited, setOnDragOver, setOnInputMethodTextChanged, setOnKeyPressed, setOnKeyReleased, setOnKeyTyped, setOnMouseClicked, setOnMouseDragEntered, setOnMouseDragExited, setOnMouseDragged, setOnMouseDragOver, setOnMouseDragReleased, setOnMouseEntered, setOnMouseExited, setOnMouseMoved, setOnMousePressed, setOnMouseReleased, setOnRotate, setOnRotationFinished, setOnRotationStarted, setOnScroll, setOnScrollFinished, setOnScrollStarted, setOnSwipeDown, setOnSwipeLeft, setOnSwipeRight, setOnSwipeUp, setOnTouchMoved, setOnTouchPressed, setOnTouchReleased, setOnTouchStationary, setOnZoom, setOnZoomFinished, setOnZoomStarted, setOpacity, setPickOnBounds, setPressed, setRotate, setRotationAxis, setScaleX, setScaleY, setScaleZ, setStyle, setTranslateX, setTranslateY, setTranslateZ, setUserData, setViewOrder, setVisible, snapshot, snapshot, startDragAndDrop, startFullDrag, styleProperty, toBack, toFront, toString, translateXProperty, translateYProperty, translateZProperty, usesMirroring, viewOrderProperty, visibleProperty</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></div>
<div class="inheritedList">
<h3>Methods inherited from interface&nbsp;javafx.css.Styleable</h3>
<a id="methods.inherited.from.class.javafx.css.Styleable">
<!--   -->
</a><code>getStyleableNode</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;(int)">UltraLady</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">UltraLady</span>&#8203;(<span class="arguments">int&nbsp;key)</span></div>
<div class="block">Instantiates a new Ultra lady.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="incLevel(javafx.scene.layout.Pane)">incLevel</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType"><a href="Tower.html" title="class in Heroes.Tile.Towers">Tower</a></span>&nbsp;<span class="memberName">incLevel</span>&#8203;(<span class="arguments">javafx.scene.layout.Pane&nbsp;root)</span></div>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="Tower.html#incLevel(javafx.scene.layout.Pane)">Tower</a></code></span></div>
<div class="block">Increase level of tower.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Tower.html#incLevel(javafx.scene.layout.Pane)">incLevel</a></code>&nbsp;in class&nbsp;<code><a href="Tower.html" title="class in Heroes.Tile.Towers">Tower</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>root</code> - the root</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the tower</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="render(javafx.scene.layout.Pane)">render</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">render</span>&#8203;(<span class="arguments">javafx.scene.layout.Pane&nbsp;root)</span></div>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../Tile.html#render(javafx.scene.layout.Pane)">Tile</a></code></span></div>
<div class="block">Render not constructible and constructibles tiles
 Doesn't render path</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../Tile.html#render(javafx.scene.layout.Pane)">render</a></code>&nbsp;in class&nbsp;<code><a href="../Tile.html" title="class in Heroes.Tile">Tile</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>root</code> - the root</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="attack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">attack</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">attack</span>&#8203;(<span class="arguments"><a href="../../Monster/Monster.html" title="class in Heroes.Monster">Monster</a>&nbsp;monster,
javafx.scene.layout.Pane&nbsp;root)</span></div>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="Tower.html#attack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">Tower</a></code></span></div>
<div class="block">Attack of a tower</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Tower.html#attack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">attack</a></code>&nbsp;in class&nbsp;<code><a href="Tower.html" title="class in Heroes.Tile.Towers">Tower</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>monster</code> - the monster attacked</dd>
<dd><code>root</code> - the root</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="specialAttack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">specialAttack</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">specialAttack</span>&#8203;(<span class="arguments"><a href="../../Monster/Monster.html" title="class in Heroes.Monster">Monster</a>&nbsp;monster,
javafx.scene.layout.Pane&nbsp;root)</span></div>
<div class="block">Special attack.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>monster</code> - the monster</dd>
<dd><code>root</code> - the root</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/UltraLady.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
